Net::DNS::RR::SOA(3)

NAME
Net::DNS::RR::SOA - DNS SOA resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS Start of Authority (SOA) resource records.

METHODS

  mname
    print "mname = ", $rr->mname, "\n";

Returns the domain name of the original or primary nameserver for this zone.

  rname
    print "rname = ", $rr->rname, "\n";

Returns a domain name that specifies the mailbox for the person responsible for this zone.

  serial
    print "serial = ", $rr->serial, "\n";

Returns the zone's serial number.

  refresh
    print "refresh = ", $rr->refresh, "\n";

Returns the zone's refresh interval.

  retry
    print "retry = ", $rr->retry, "\n";

Returns the zone's retry interval.

  expire
    print "expire = ", $rr->expire, "\n";

Returns the zone's expire interval.

  minimum
    print "minimum = ", $rr->minimum, "\n";

Returns the minimum (default) TTL for records in this zone.

COPYRIGHT
Copyright (c) 1997-2002 Michael Fuhr.

Portions Copyright (c) 2002-2004 Chris Reinhardt.

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 1035 Section 3.3.13